金鑰總覽
| 金鑰版本 | V4 |
|---|---|
| 規格 | RFC 2440 · RFC 4880 · RFC 9580 |
| 狀態 | 相容,但已由 RFC 9580 宣告棄用 |
| 主金鑰(認證、簽署) | ECDSA NIST P-384 · ID 19 · SHA-384 |
| 加密子金鑰 | ECDH NIST P-384 · ID 18 |
| 指紋 | BA4E573B5A95992A08B884B8AB586F5CAA5B7A91 |
| 私密金鑰的通行片語 | synthetic-key-password |
演算法與用途
ECDSA NIST P-384: 在 NIST P-384 曲線上搭配 SHA-384 的橢圓曲線簽章,適用於要求 NIST 192 位元 安全等級的政策。
ECDH NIST P-384: NIST P-384. 上的橢圓曲線 Diffie–Hellman 加密子金鑰。
公開金鑰
包含主金鑰、加密子金鑰及其綁定簽章的公開憑證。匯入後即可驗證簽章,或為此測試身分加密資料。
下載 → 892 位元組
-----BEGIN PGP PUBLIC KEY BLOCK-----
xm8EaveFBxMFK4EEACIDAwTwP3saHWRdpgCH8BRyPQwJMBrp4cRfMxTo1jKEkBsk
4t0BJ/SRTwt9GW6HCSgIL+F5pccO+N6Rv/tpwcK9asVG8tn7pwSRAOdni9aMVzba
B8Pepn2Rgl3nAW0VVaY/lxvNJkNILUogbWF0cml4IDIyLXY0LWVjZHNhLXAzODQr
ZWNkaC1wMzg0wqwEExMJADQFAmr3hQcWIQS6Tlc7WpWZKgi4hLirWG9cqlt6kQIb
AwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJEKtYb1yqW3qR8z4BgOgJ524F1+/n2iRm
jaukbT+poOaeuH6VkOitCFGFjT8Lam60e5SYuPMjDbtbGdS8hQF8D9/mJzC9P1HC
o5A8VUy3tKBaGHNDaJml9M7FWQThDmovNhJ5qEYOm0QQsY6MGOdUznMEaveFBxIF
K4EEACIDAwQbvZr2aiLIbyY7wpRARH8NQLxoUp9qkp0WOF1AL3wp8lFjGik8DX+/
eC506jE4WImKsZz3c0pCL6FTiaABBgjM49T4N81r65Ps2GOqNPJ9Vhpj61uUjbkD
KFDsw21H8SIDAQkIwpgEGBMJACAFAmr3hQcWIQS6Tlc7WpWZKgi4hLirWG9cqlt6
kQIbDAAKCRCrWG9cqlt6kWJFAX92J4+mOHncAvbgG/LTknkSlw5BQanmodSHCTHQ
PXafqe9hJ7tTtj+tcyyQGkYdVe8BfAi3r1QHtN+pqbuhcLqSC1X6X2CX4vnA+5v2
M6m3MpI8mq8Vdiu+S2zX9CuI/GE6nA==
=ayES
-----END PGP PUBLIC KEY BLOCK-----
私密金鑰
以上方顯示的通行片語保護的私密金鑰。僅供測試而公開,任何人皆可使用。
下載 → 1 162 位元組
顯示
-----BEGIN PGP PRIVATE KEY BLOCK-----
xcASBGr3hQcTBSuBBAAiAwME8D97Gh1kXaYAh/AUcj0MCTAa6eHEXzMU6NYyhJAb
JOLdASf0kU8LfRluhwkoCC/heaXHDvjekb/7acHCvWrFRvLZ+6cEkQDnZ4vWjFc2
2gfD3qZ9kYJd5wFtFVWmP5cb/gkDCB5MdZ1XCAVu4Ej5a5EUf7YRJdtMQ9432jXq
kWE4xSHY9rN8v9Y8yhPx9tdsVZKN57s5rNMDYhi1cIWx8Lj4TIIGGaQgGRlfbBCB
5Q//bMX7pkpUnohFC/o/L0L7nIv0zSZDSC1KIG1hdHJpeCAyMi12NC1lY2RzYS1w
Mzg0K2VjZGgtcDM4NMKsBBMTCQA0BQJq94UHFiEEuk5XO1qVmSoIuIS4q1hvXKpb
epECGwMCHgEDCwkHARUBFgUnCQIHAgIZAQAKCRCrWG9cqlt6kfM+AYDoCeduBdfv
59okZo2rpG0/qaDmnrh+lZDorQhRhY0/C2putHuUmLjzIw27WxnUvIUBfA/f5icw
vT9RwqOQPFVMt7SgWhhzQ2iZpfTOxVkE4Q5qLzYSeahGDptEELGOjBjnVMfAFgRq
94UHEgUrgQQAIgMDBBu9mvZqIshvJjvClEBEfw1AvGhSn2qSnRY4XUAvfCnyUWMa
KTwNf794LnTqMThYiYqxnPdzSkIvoVOJoAEGCMzj1Pg3zWvrk+zYY6o08n1WGmPr
W5SNuQMoUOzDbUfxIgMBCQj+CQMI/CAOINGj7h7gSkKMX7JJJhTDZsTa6/BOpe/K
Gzv1CPdKNt3Jnx0UTOu9VsoFca38Go7fs4gWKmA7NwCXnazaHNUCRAe3wTTa6cVY
gLuOvaH3S31C0c03LKc4XlU2YHXCmAQYEwkAIAUCaveFBxYhBLpOVztalZkqCLiE
uKtYb1yqW3qRAhsMAAoJEKtYb1yqW3qRYkUBf3Ynj6Y4edwC9uAb8tOSeRKXDkFB
qeah1IcJMdA9dp+p72Enu1O2P61zLJAaRh1V7wF8CLevVAe036mpu6FwupILVfpf
YJfi+cD7m/YzqbcykjyarxV2K75LbNf0K4j8YTqc
=f6p+
-----END PGP PRIVATE KEY BLOCK-----
撤銷憑證
預先產生的撤銷憑證。匯入後會將金鑰標示為已撤銷;公開此憑證是為了讓您測試軟體如何處理已撤銷的金鑰。
下載 → 1 095 位元組
顯示
-----BEGIN PGP PUBLIC KEY BLOCK-----
xm8EaveFBxMFK4EEACIDAwTwP3saHWRdpgCH8BRyPQwJMBrp4cRfMxTo1jKEkBsk
4t0BJ/SRTwt9GW6HCSgIL+F5pccO+N6Rv/tpwcK9asVG8tn7pwSRAOdni9aMVzba
B8Pepn2Rgl3nAW0VVaY/lxvClQQgEwkAHQUCaveFBxYhBLpOVztalZkqCLiEuKtY
b1yqW3qRAAoJEKtYb1yqW3qRs8MBgIDQ3VgEAOwhmwDTlcPHY1n0TF1kNHUvuk7g
XYrjVpSwdPCbOxKiRLFiXTLoWa7wvAF+K3sT+pBqLcNktBzJHoRbI419wZEXzr/J
5jkgZ9zLG9abGbJpKH0W2DC7TNHvaoFPzSZDSC1KIG1hdHJpeCAyMi12NC1lY2Rz
YS1wMzg0K2VjZGgtcDM4NMKsBBMTCQA0BQJq94UHFiEEuk5XO1qVmSoIuIS4q1hv
XKpbepECGwMCHgEDCwkHARUBFgUnCQIHAgIZAQAKCRCrWG9cqlt6kfM+AYDoCedu
Bdfv59okZo2rpG0/qaDmnrh+lZDorQhRhY0/C2putHuUmLjzIw27WxnUvIUBfA/f
5icwvT9RwqOQPFVMt7SgWhhzQ2iZpfTOxVkE4Q5qLzYSeahGDptEELGOjBjnVM5z
BGr3hQcSBSuBBAAiAwMEG72a9moiyG8mO8KUQER/DUC8aFKfapKdFjhdQC98KfJR
YxopPA1/v3gudOoxOFiJirGc93NKQi+hU4mgAQYIzOPU+DfNa+uT7NhjqjTyfVYa
Y+tblI25AyhQ7MNtR/EiAwEJCMKYBBgTCQAgBQJq94UHFiEEuk5XO1qVmSoIuIS4
q1hvXKpbepECGwwACgkQq1hvXKpbepFiRQF/diePpjh53AL24Bvy05J5EpcOQUGp
5qHUhwkx0D12n6nvYSe7U7Y/rXMskBpGHVXvAXwIt69UB7Tfqam7oXC6kgtV+l9g
l+L5wPub9jOptzKSPJqvFXYrvkts1/QriPxhOpw=
=2Xz2
-----END PGP PUBLIC KEY BLOCK-----
test_1MB.bin 的簽章
在 CH-J Tools 中以此金鑰建立的 test_1MB.bin 的 ASCII 裝甲格式分離簽章。請儲存為 test_1MB.bin.asc,與測試檔案放在同一個目錄。
下載 → 273 位元組
-----BEGIN PGP SIGNATURE-----
wpUEABMJAB0WIQS6Tlc7WpWZKgi4hLirWG9cqlt6kQUCaveO8gAKCRCrWG9cqlt6
kUHJAX9rEtBb020cNXupXXthuNlBLXNGTU6lTJ5mJnix842lWtUW7GWTN9By+SIw
7vzoZ0IBfj4G8g8Vp7VcL6eIVdc8CFmswyX8ZpqY/qd4bFJtJuZw16GJ7DJz1pA0
sA+Y2i64yQ==
=0iaK
-----END PGP SIGNATURE-----
驗證簽章
版本 4 金鑰可在演算法受支援的範圍內,用於 GnuPG 及 sqop、rsop 等 SOP 工具。請使用暫存的 GNUPGHOME,避免將測試金鑰加入實際使用的鑰匙圈:
gpg --import pgp-example-22-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin